2

I'm running Perl script under SLES 12 which has Perl 5.18 installed. When trying to run my Perl script I get an error:

Can't locate Shell.pm in @INC (you may need to install the Shell module) 
(@INC contains: 
/usr/lib/perl5/site_perl/5.18.2/x86_64-linux-thread-multi 
/usr/lib/perl5/site_perl/5.18.2 
/usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi 
/usr/lib/perl5/vendor_perl/5.18.2 
/usr/lib/perl5/5.18.2/x86_64-linux-thread-multi 
/usr/lib/perl5/5.18.2 /usr/lib/perl5/site_perl .) 
at /usr/local/bin/ldt-agent.pl line 61.
BEGIN failed--compilation aborted at /usr/local/bin/ldt-agent.pl line 61.

Line 61 is:   use Shell;

How can I resolve this in order to run again my script as I did on older SLES versions? In SLES 11.2 for example I have Perl version 5.10 and this does not happen there.

2 Answers 2

4

Just install the missing module in the standard way.

cpan Shell
0
0

this include updating the latest cpan and module installation:

curl -s -L http://cpanmin.us | perl - --self-upgrade 
cpanm Shell
2
  • Will your suggestion address the missing Shell.pm module? Sep 3, 2015 at 13:08
  • Yes...It should.
    – Asaf Magen
    Sep 3, 2015 at 13:10

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .